using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication9
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    /// 



    public partial class Window1 : Window
    {
        Steema.TeeChart.WPF.Tools.CursorTool Cursor_left;
        Steema.TeeChart.WPF.Tools.CursorTool Cursor_right;
     //   Steema.TeeChart.WPF.Tools.Annotation annotation1;
     //   Steema.TeeChart.WPF.Tools.NearestPoint nearestPoint1 ; 

        public Steema.TeeChart.WPF.Styles.FastLine fastLine1;

        private void mainCursor_Change(object sender, Steema.TeeChart.WPF.Tools.CursorChangeEventArgs e)
        {             
            double x1 = Cursor_left.XValue;     
            int tmp = e.Series.XValues.IndexOf(Cursor_left.XValue);
            double y1 = e.Series.YValues[tmp];
            label1.Content = "Y=" + Convert.ToString(Convert.ToInt32(y1)) + " X= " + Convert.ToString(Convert.ToInt32(x1));//see values
        }


        public Window1()
        {
            InitializeComponent();

            // Make the chart flicker by default, only for this demo
            tChart1.Graphics3D.UseBuffer = false;

            // hide things for better speed
            tChart1.Aspect.View3D = false;
            tChart1.Legend.Visible = false;
            tChart1.Header.Visible = false;
            tChart1.Footer.Visible = false;

            this.fastLine1 = new Steema.TeeChart.WPF.Styles.FastLine();

            // 1000 random points each series
            Random r = new Random();
            int tmprandom;
            for (int t = 1; t < 1000; t++)
            {
                tmprandom = r.Next(Math.Abs(500 - t)) - (Math.Abs(500 - t) / 2);
                fastLine1.Add(1000 - t + tmprandom);
                
            }


            this.tChart1.Name = "tChart1";
            this.tChart1.Series.Add(this.fastLine1);
            this.tChart1.Walls.Back.Color = System.Windows.Media.Colors.Black;

            this.tChart1.Walls.Bottom.Gradient.Transparency = 30;

            this.fastLine1.Cursor = System.Windows.Input.Cursors.Cross;

            this.fastLine1.LinePen.Color = System.Windows.Media.Colors.Red;


            // make a shadow during zoom selection
            this.fastLine1.Marks.Symbol.Shadow.Height = 1;
            this.fastLine1.Marks.Symbol.Shadow.Visible = true;
            this.fastLine1.Marks.Symbol.Shadow.Width = 1;

            this.fastLine1.XValues.DataMember = "X";
            this.fastLine1.XValues.Order = Steema.TeeChart.WPF.Styles.ValueListOrder.Ascending;
            this.fastLine1.YValues.DataMember = "Y";

            this.tChart1.Aspect.ColorPaletteIndex = 0;
            
            this.fastLine1.Marks.Callout.ArrowHead = Steema.TeeChart.WPF.Styles.ArrowHeadStyles.None;
            this.fastLine1.Marks.Callout.ArrowHeadSize = 8;
            this.tChart1.Legend.Color = System.Windows.Media.Colors.Red;
            


            // use cursors
            Cursor_left = new Steema.TeeChart.WPF.Tools.CursorTool(tChart1.Chart);
            Cursor_left.Style = Steema.TeeChart.WPF.Tools.CursorToolStyles.Vertical;            
            //color of cursor
            //Cursor_left.Pen.Color = System.Windows.Media.Colors.Green;
            Cursor_left.Pen.Color = Colors.Green;

            Cursor_right = new Steema.TeeChart.WPF.Tools.CursorTool(tChart1.Chart);
            Cursor_right.Style = Steema.TeeChart.WPF.Tools.CursorToolStyles.Vertical;
            Cursor_right.Pen.Color = System.Windows.Media.Colors.Blue;
            Cursor_left.Pen.Style = System.Windows.Media.DashStyles.Dash;
                //System.Drawing.Drawing2D.DashStyle.Dash;

            //Cursor_left.Change += new Steema.TeeChart.WPF.Tools.CursorChangeEventHandler(Cursor1_Change);
            
            //label1.Content = Cursor1.GetHorizAxis.ToString();
            double xVal = Cursor_left.XValue;
            int index = tChart1[0].XValues.IndexOf(xVal);
         
            double yVal = tChart1[0].YValues[index];
            tChart1.Header.Text = xVal.ToString() + " - " + yVal.ToString();
            tChart1.Header.Visible = true;



            Cursor_left.Change += new Steema.TeeChart.WPF.Tools.CursorChangeEventHandler(mainCursor_Change);

        }

    }


}